Get Experiment Metrics
curl --request GET \
--url https://api.example.com/v3/evals/experiments/{experiment_id}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v3/evals/experiments/{experiment_id}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v3/evals/experiments/{experiment_id}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"total_evaluators": 3,
"total_scores": 5,
"total_items": 50,
"evaluators": [
{
"evaluator_name": "coherence",
"score_name": "coherence",
"type": "numeric_range",
"count": 50,
"error_count": 2,
"mean": 0.762,
"histogram": [
{
"low": 0,
"high": 0.1,
"count": 12,
"mean": 0.053,
"stddev": 0.028
}
]
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}Experiments
Get Experiment Metrics
Get per-evaluator aggregate metrics for an experiment. Auto-detects each evaluator's chart type based on score cardinality: numeric_range (>10 distinct numeric values, histogram), numeric_categorical (<=10 distinct numeric values, distribution bars), or categorical (label-only scores, distribution with ratios).
GET
/
v3
/
evals
/
experiments
/
{experiment_id}
/
metrics
Get Experiment Metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Path parameter for unique identifier of an experiment
Response
Aggregate metrics per evaluator for the experiment
Response object for standard API responses.
Was this page helpful?
⌘I